module Paysure
    class ResponseGetToken
      attr_reader :response, :status,:statusmessage
     
      def validate(response = nil)
        @response = response
        perform_validation
        return self
      end
  
      def valid?
        @valid
      end
      
      def redirect_url
        return @response['redirect_to']
      end

      def token
        return @response['token']
      end
      def full_message
        return Paysure::ERRORS[@response['status'].to_s]
      end
  
      private
      
      def perform_validation
        raise ArgumentError, 'not a valid response' if @response.nil?
        @valid = (@response['status'] == 200)
      end
      
    end
    
  end