module Paysure
    class ResponseVerify
      attr_reader :response, :status,:statusmessage
     
      def validate(response = nil)
        @response = response
        perform_validation
        return self
      end
  
      def valid?
        @valid
      end
      
      def full_message
        return Paysure::ERRORS[@response['status'].to_s]
      end
  
      private
      
      def perform_validation
        raise ArgumentError, 'not a valid response' if @response.nil?
        @valid = (@response['status'] == 1)
      end
      
    end
    
  end